import java.io.*;
import java.util.*;

public class TemplateIO {
    static long mainKvo;
    static boolean isG = true;
    public void solve() throws IOException {
        int t = nextInt();
        for (int i = 0; i < t; i++) {
            long n = nextLong();
            long m = nextLong();
            mainKvo = Long.parseLong("1000000000000000000");
            long a = vsratoSearch(n, m, true);
            long b = vsratoSearch(n, m, false);
            if (isG) out.println("H " + a);
            else  out.println("V " + b);
            //out.println(min);
        }
    }

    //1000000000
    //out.println(kvo);
    //1970 + 2910 =
    /*}
    int n = nextInt();
    int[] nn = new int[n];
        for (int i = 0; i < n; i++) {
        nn[i] = nextInt();
    }
        Arrays.sort(nn);
    int[] nn2 = new int[n];
    long kvo = 0;
    nn2[0] = 0;
        for (int i = 1; i < n; i++) {
        nn2[i] = nn2[i - 1] + nn[i] - nn[i - 1];
    }
    int[] nn3 = new int[n+1];
    nn3[0] = 0;
        for (int i = 1; i < n+1; i++) {
        nn3[i] = nn3[i-1] + nn2[i-1];
    }
    //out.println(Arrays.toString(nn2));
    //int kv = n / 2 + n % 2;
    //kvo += (nn2[n-1] - nn2[0]);
    //(nn2[n-1 - (i-1)] - nn2[i-1])
        for (int i = 1; i <= n-1; i++) {
        kvo -= nn3[i];
        kvo += nn3[n] - nn3[n-i];
            /*for (int j = 0; j < i; j++) {
                kvo -= nn2[j];
            }
            for (int j = n-i; j <= n-1; j++) {
                kvo += nn2[j];
            }
             */
    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public long between(long n, long m, long a, boolean b) {
        a--;
        if (b) {
            long x = m * a;
            n *= m;
            return Math.abs((n * (n + 1) / 2) - 2 * (x * (x + 1) / 2));
        } else {
            long x = n * a;
            long pl = x * (x + 1) / 2 + (n * (n + 1) / 2 - n) * m;
            long x2 = n * (m - a);
            long pl2 = x2 * (x2 + 1) / 2 + (n * (n + 1) / 2 - n) * m + (a*(m-a)*n);
            return Math.abs(pl2 - pl);
        }
    }


/*
5
1 3
4 7
1 10
3 3
3 5
 */

    public long vsratoSearch (long n, long m, boolean b){
        long min = 1;
        long kvo = Long.parseLong("100000000000000000");
        while (between(n, m, min + 1, b) < kvo){
            min*=2;
            kvo = between(n, m, min, b);
        }
        while (between(n, m, min - 1, b) <= kvo){
            min--;
            kvo = between(n, m, min, b);
        }
        if (kvo < mainKvo){
            mainKvo = kvo;
            isG = b;
            return min;
        } else if (kvo == mainKvo && !b) {
            mainKvo = kvo;
            isG = b;
            return min;
        } else {
            return -1;
        }
    }

    public long binarySearch(int n, int m, boolean b) {
        long max = 1;
        long min = -1;
        long kvo = Long.parseLong("100000000000000000");
        while (between(n, m, max + 1, b) <= kvo) {
            min = max;
            max *= 2;
            kvo = between(n, m, min, b);
        }
        while (max - min != 0) {
            long i = (max - min) / 2 + min;
            if (between(n, m, i, b) < kvo && between(n, m, i, b) > between(n, m, i + 1, b)) {
                kvo = between(n, m, i, b);
                min = i;
            } else if (between(n, m, i, b) < kvo && between(n, m, i, b) < between(n, m, i + 1, b)){
                max = i;
            } else {
                max = i;
            }
            if (between(n, m, max+1, b) > between(n, m, max, b) && between(n, m, max-1, b) > between(n, m, max, b)){
                kvo = between(n, m, max, b);
                break;
            }
            if (between(n, m, min+1, b) > between(n, m, min, b) && between(n, m, min-1, b) > between(n, m, min, b)){
                kvo = between(n, m, min, b);
                max = min;
                break;
            }
        }
        if (kvo < mainKvo){
            mainKvo = kvo;
            isG = b;
            return max;
        } else if (kvo == mainKvo && !b) {
            mainKvo = kvo;
            isG = b;
            return max;
        } else {
            return -1;
        }

    }



    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new TemplateIO().run();
    }

}