import java.io.*;
import java.util.*;

public class TemplateIO {
    public void solve() throws IOException {
        int n = nextInt();
        int[] nn = new int[n];
        for (int i = 0; i < n; i++) {
            nn[i] = nextInt();
        }
        Arrays.sort(nn);
        int[] nn2 = new int[n-1];
        long kvo = 0;
        for (int i = 0; i < n-1; i++) {
            nn2[i] = nn[i+1] - nn[i];
            kvo += nn2[i];
        }
        for (int i = 1; i < n-1; i++) {
            for (int j = 0; j+i < n-1; j++) {
                for (int k = j; k <= j+i; k++) {
                    kvo += nn2[k];
                }
            }
        }
        out.println(kvo);
      //1970 + 2910 =
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new TemplateIO().run();
    }

}